Support


Reminder: Please ensure that your unit is running the latest software.

Search Support Center:
 The Magellan 2008/2009 Map update instructions say I may need an SD card to update my Maestro 4000 ,4040 or 4050. How can I tell if I need an SD card?
Article Answer:
An SD card is required if your GPS has a Firmware version lower than 2.36 To check if you need an SD card, follow the steps below:
1. Select "user options"
2. Under user options select "system settings"
3. Select "next"
4. Select "Product information". Under product information you will see “Firmware version". If it is less than 2.36, then you need an SD card


For a complete set of instructions on updating units with older Firmware, click here.
http://www.magellangps.com/assets/faq/2008-9_mapupdate_howto.pdf


Article Details
Total Views:4759
Created On: 26 Nov 2009 12:11 AM

 This article was helpful  This article was not helpful

 Back
Kayako Skin by SupportSkins.com